## adsl

adsl — ADSL Settings

## Properties

Table 40.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---

    encapsulation

    string

Encapsulation of ADSL connection. Can be "vcmux" or "llc".

    password

    string

Password used to authenticate with the ADSL service.

    password-flags

    NMSettingSecretFlags (uint32)

Flags indicating how to handle the "password" property.

    protocol

    string

ADSL connection protocol. Can be "pppoa", "pppoe" or "ipoatm".

    username

    string

Username used to authenticate with the ADSL service.

    vci

    uint32

    0

VCI of ADSL connection

    vpi

    uint32

    0

VPI of ADSL connection